using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;

namespace APT.MS.Domain.Entities.SC
{
    /// <summary>
    /// 责任制岗位安全生产责任制签订表模板
    /// </summary>
    [Description("责任制岗位安全生产责任制签订表模板")]
    public class T_SC_POST_SAFE_PDT_TEMPLATE_FILE : MesEntityBase
    {

        /// <summary>
        /// 责任制岗位关联表ID
        /// </summary>
        [Description("责任制岗位ID")]
        [DataFieldForeignKey("Nav_Post", "Nav_Files")]
        public Guid POST_ID { get; set; }

        /// <summary>
        /// 导航属性：责任制岗位关联表
        /// </summary>
        [Description("导航属性：责任制岗位")]
        public T_SC_POST Nav_Post { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_File")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_File { get; set; }
    }
}
